{% block swag_guided_shopping_presentation_detail_cms %}
	<div class="swag-guided-shopping-presentation-detail__cms" v-if="!isLoading">

		{% block swag_guided_shopping_presentation_cms_config_notification %}
			<sw-alert
				v-if="isDirty"
				class="sw-card is-dirty-notification"
				variant="info"
				:title="$tc('swag-guided-shopping-presentation.cmsConfig.isDirtyFlagNotification')"
			>
				<span class="subtitle">
					{{ $tc('swag-guided-shopping-presentation.cmsConfig.isDirtyFlagNotificationSubtitle') }}
				</span>

				<div class="save-button">
					<sw-button
						variant="primary"
						size="small"
						@click="saveSlotConfig"
					>
						{{ $tc('swag-guided-shopping-presentation.admin.buttons.save') }}
					</sw-button>
				</div>
			</sw-alert>
		{% endblock %}

		{% block swag_guided_shopping_presentation_detail_cms_layout %}
			<sw-card
                class="cms-config"
                position-identifier="cms-config"
                :title="$tc('swag-guided-shopping-presentation.cmsConfig.cardTitle')"
                :subtitle="$tc('swag-guided-shopping-presentation.cmsConfig.cardSubTitle')"
                >
                <sw-single-select class="choose-page-action" v-model="cmsPageRelationId" :label="$tc('swag-guided-shopping-presentation.cmsConfig.choosePage')" :options="cmsPages" required>

					<template #selection-label-property="{ item }">
						<div class="selected-page">
							{{ item.label }}
							<sw-circle-icon v-if="item.hasSlotConfig"
								iconName="regular-info-circle"
								variant="info"
								:size="slotConfigIconSize"
							/>
						</div>
					</template>

					<template #result-label-property="{ item }">
						<div class="select-page-option">
							{{ item.label }}
							<sw-circle-icon v-if="item.hasSlotConfig"
								iconName="regular-info-circle"
								variant="info"
								:size="slotConfigIconSize"
							/>
						</div>
					</template>
				</sw-single-select>

				<sw-button variant="ghost-danger" size="small" @click="onReset" v-if="hasSlotConfig(pageRelation)" :disabled="!acl.can('guided_shopping_presentation.editor')">{{ $tc('swag-guided-shopping-presentation.cmsConfig.resetSlotConfig') }}</sw-button>
			</sw-card>
		{% endblock %}

		{% block swag_guided_shopping_presentation_detail_cms_form %}
			<sw-cms-page-form v-if="cmsPage" :page="cmsPage"></sw-cms-page-form>
			<sw-loader size="50px" v-if="cmsPages.length && !cmsPage"></sw-loader>
		{% endblock %}

	</div>
{% endblock %}
